| Qore ConnectionProvider Module Reference 2.0.1

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
ConnectionProvider::OptionHelper Class Reference

Class with helper methods to options in a hash. More...

`#include <OptionHelper.qc.dox.h>`

Inheritance diagram for ConnectionProvider::OptionHelper:
[legend]

## Static Public Member Functions
static *bool | getBool (*hash< auto > opts, string key, *bool required, *bool default_value)
| Returns a boolean value from a hash.
static *hash< auto > | getHash (*hash< auto > opts, string key, *bool required, *hash< auto > default_value)
| Returns a hash value from a hash.
static *int | getInt (*hash< auto > opts, string key, *bool required, *int default_value)
| Gets an integer option.
static auto | getOptionType (*hash< auto > opts, string key, int type_code, string type_name, *bool required, auto default_value)
| gets an option value of the given type
static *string | getString (*hash< auto > opts, string key, *bool required, *string default_value)
| Returns a string value from a hash.

## Detailed Description

Class with helper methods to options in a hash.